# there is no debuginfo
%global _enable_debug_packages 0
%global debug_package %{nil}

Name: ooo2gd
Version: 3.0.0
Release: 5%{?dist}
Summary: Extension for LibreOffice to export documents to Google Docs

Group: Applications/Productivity
License: LGPLv3+
URL: http://code.google.com/p/ooo2gd/
# svn: http://ooo2gd.googlecode.com/svn/trunk, rev. 174
Source0: %{name}-%{version}.tar.bz2
# generated from netbeans and postprocessed by hand
Source1: nbproject.tar.bz2

BuildRequires: ant
BuildRequires: gdata-java
BuildRequires: javamail
BuildRequires: libreoffice-sdk >= 1:3.6.0.0
BuildRequires: swing-layout

Requires: gdata-java
Requires: guava
Requires: javamail
Requires: libreoffice-core >= 1:3.6.0.0
Requires: swing-layout

%description
OpenOffice.org2GoogleDocs (OOo2GD) is a plugin to
OpenOffice.org/StarOffice (should work also with other Offices derived
from OpenOffice.org) which will let you export and import your
documents, spreadsheets and presentations to and from Google Docs, Zoho.
It will let you also export your files to WebDAV servers and
"synchronize" your documents, spreadsheets and presentations with Google
Docs.

So, you can:
* Export documents, spreadsheets and presentations to Google Docs, Zoho
  and WebDAV
* Import documents, spreadsheets and presentations from Google Docs and
  Zoho
* Synchronize your documents with Google Docs


%global ooosdkenv %{_libdir}/libreoffice/sdk/setsdkenv_unix.sh
%global extensiondir %{_libdir}/libreoffice/share/extensions

%prep
%setup -q -n %{name}
%setup -q -n %{name} -T -D -a 1
rm -r libs


%build
. %{ooosdkenv}
ant \
    -Dlibreoffice.sdk.classpath=${OO_SDK_URE_JAVA_DIR}/juh.jar:${OO_SDK_URE_JAVA_DIR}/ridl.jar \
    -Doffice.program.dir=${OFFICE_PROGRAM_PATH} \
    -Doo.unotypes.rdb=${OO_SDK_URE_HOME}/share/misc/types.rdb \
    -Doo.offapi.rdb=${OFFICE_PROGRAM_PATH}/types/offapi.rdb \
    -Doo.sdk.dir=${OO_SDK_HOME} \
    -Dsdk.bin.dir=${OO_SDK_HOME}/bin \
    -Dure.bin.dir=${OO_SDK_URE_BIN_DIR} \
    uno-package


%install
mkdir -p %{buildroot}/%{extensiondir}
mkdir %{buildroot}/%{extensiondir}/%{name}
unzip -qo -d %{buildroot}/%{extensiondir}/%{name} dist/%{name}.oxt


%files
%{_libdir}/libreoffice/share/extensions/%{name}


%changelog
* Wed Jul 25 2012 David Tardon <dtardon@redhat.com> - 3.0.0-5
- fix FTBFS

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 16 2012 David Tardon <dtardon@redhat.com> - 3.0.0-3
- fix build with libreoffice 3.5

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2010 David Tardon <dtardon@redhat.com> - 3.0.0-1
- initial import
